program LossyWavTest;
{$APPTYPE CONSOLE}

{ The CLI parameter are:
      <input wav file> <output wav file> <one or more options starting with a '-'>
}

uses
  SysUtils,
  wavIO in 'wavIO.pas',
  cliParameter in 'cliParameter.pas',
  MakeLossy in 'MakeLossy.pas';

const
 blocksize = 1024;
var
 success: boolean;
 sampleBlockCh0, sampleBlockCh1: array[0..blocksize] of LongInt;
 readsamplesCount: integer;
begin
 if (length(wavIn) = 0) or (length(wavOut) = 0) then
    begin
       writeln('Name of input or output wav file missing.');
       exit;
    end;
 if optionError then
    begin
       writeln('Option not starting with -.');
       exit;
    end;
 success := openWavIO(wavIn, wavOut, blocksize);
 while success do
    begin
    success := readNextSampleBlock(sampleBlockCh0, sampleBlockCh1, readsamplesCount);
    if success then
       begin
       makeLossySampleBlock(sampleBlockCh0, sampleBlockCh1, readsamplesCount);
       success := writeNextSampleBlock(sampleBlockCh0, sampleBlockCh1, readsamplesCount);
       end;
    end;
 success := closeWavIO;
end.

